SDL_SCANF_VARARG_FUNC(3)

NAME
SDL_SCANF_VARARG_FUNC - Macro that annotates a vararg function that operates like scanf.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_SCANF_VARARG_FUNC( fmtargnumber ) __attribute__ (( format( __scanf__, fmtargnumber, fmtargnumber+1 )))

DESCRIPTION
If we were to annotate fscanf :

        int fscanf(FILE *f, const char *fmt, ...) SDL_PRINTF_VARARG_FUNCV(2);

This notes that the second parameter should be a scanf-style format string, followed by ... . The compiler or other analysis tools can warn when this doesn't appear to be the case.

On compilers without this annotation mechanism, this is defined to nothing.

This can (and should) be used with

SDL_SCANF_FORMAT_STRING
 as well, which between them will cover at least Visual Studio, GCC, and Clang.

AVAILABILITY
This macro is available since SDL 3.2.0.